/**
 * HomeController.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */
define('controllers/home/homecontroller',
		['app',
		 'ember'],
		 function(Filmeet){
	console.log('Defining HomeController');
	Filmeet.AppHomeController = Ember.ObjectController.extend({
		nextMeetings: [],
		lastFilms: [],
		/** Goes to the selected film details screen */
		goToFilm: function(selectedFilm){
			this.transitionToRoute('films.oneDetails', selectedFilm.get('sid'));
		},
		goToMeeting: function(meeting){
			this.transitionToRoute('oneMeeting.details', meeting.get('sid'));
		}
	});
});