/**
 * FriendsFinderRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/friends/friendsfinderroute',
		['app',
		 'ember',
		 'views/friends/finder/friendsfinderview',
		 'controllers/friends/finder/friendsfindercontroller',
		 'models/user/user'],
		 function(Filmeet){
	Filmeet.FriendsFinderRoute = Ember.Route.extend({
		setupController: function(controller, model){
			controller.set('searchText', null);
			controller.set('content', controller.searchNotFriends(controller.get('searchText')));
		}
	});
});