/**
 * LoginRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/login/loginroute',
		['app',
		 'utils/closeapp',
		 'ember',
		 'views/login/loginview',
		 'controllers/login/logincontroller'],
		 function(Filmeet, closeApp){
	Filmeet.LoginRoute = Ember.Route.extend({
		/**
		 * Setting all the controller's properties to
		 * default values.
		 */
		setupController: function(controller, model){
			controller.set('username', null);
			controller.set('password', null);
		},
		
		activate: function(){
			document.addEventListener('backbutton', closeApp, false);
		},
		deactivate: function(){
			document.removeEventListener('backbutton', closeApp);
		}
	});
});