/**
 * OneMeetingVoteRoute.
 * @author Alejandro Arnáiz González, deathnew[at]gmail.com
 * @author Diego Crenes Carrera, dcrenes[at]gmail.com
 */

define('routes/meetings/onemeetingvoteroute',
		['app',
		 'utils/timeutils',
		 'ember',
		 'views/meetings/vote/onemeetingvoteview',
		 'controllers/meetings/vote/onemeetingvotecontroller',
		 'models/meeting/meeting'],
		 function(Filmeet, TimeUtils){
	Filmeet.OneMeetingVoteRoute = Ember.Route.extend({
		serialize: function(context){
			return {
				meetingSid: context
			};
		},
		model: function(params){
			return params.meetingSid;
		},
		setupController: function(controller, model){
			var meeting = this.controllerFor('oneMeeting').get('content');
			controller.set('content', meeting);
			controller.set('selectedFilms', []);
			controller.set('searchText', null);
		}
	});
});